Package com.avaya.clientservices.media

## Class MediaServicesInstance

- java.lang.Object
- - com.avaya.clientservices.media.MediaServicesInstance

-     public class MediaServicesInstance
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaServicesInstance​(android.content.Context context, VoIPConfigurationAudio audioConfig, VoIPConfigurationVideo videoConfig, android.os.Looper looper)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancelAlarm​(long alarmHandle)` |
    `void` | `close()` |
    `java.lang.String` | `getAppDirectory()` |
    `AudioInterface` | `getAudioInterface()` |
    `static android.content.Context` | `getContext()` |
    `static java.lang.String` | `getCPUInfo​(java.lang.String key)` |
    `Device` | `getDeviceInterface()` |
    `static LogLevel` | `getLogLevel()` |
    `static LogProvider` | `getLogProvider()` |
    `long` | `getNativeMediaEngine()` |
    `long` | `getTime()` |
    `static java.lang.String` | `getVersion()` | This function returns the version of the media library
    `VideoInterface` | `getVideoInterface()` |
    `long` | `getWakeLock()` |
    `static void` | `InitVantageFlags()` |
    `static boolean` | `IsChromeOSPlatform()` |
    `static boolean` | `IsVantageDisplayLandscape()` |
    `static boolean` | `IsVantagePlatform()` |
    `static boolean` | `IsVantagePlatform2()` |
    `static boolean` | `IsVantagePlatform3()` |
    `void` | `onAlarmFired​(long alarmHandle, long alarmToken)` |
    `static void` | `onLogMessage​(byte[] aMessage, LogLevel eLevel, byte[] aTag)` |
    `void` | `releaseWakeLock​(long wakeLockHandle)` |
    `void` | `reportDelays​(long beforeReleaseWakeLock, long selectDiff, long afterSelect, long getWakeLockDiff)` |
    `long` | `setAlarm​(long delayMS, long opaqueKey)` |
    `static void` | `setLogLevel​(LogLevel level)` |
    `static void` | `setLogProvider​(LogProvider provider)` |
    `void` | `setMinTLSVersion​(TLSVersion version)` |
    `void` | `setWakeLockReleaseDelay​(int delayMS)` |
    `static boolean` | `Supports270pCapture()` |
    `static boolean` | `Supports540pCapture()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaServicesInstance

          public MediaServicesInstance​(android.content.Context context,
                                       VoIPConfigurationAudio audioConfig,
                                       VoIPConfigurationVideo videoConfig,
                                       android.os.Looper looper)

  - ### Method Detail

    - #### close

          public void close()

    - #### getDeviceInterface

          public Device getDeviceInterface()

    - #### getAudioInterface

          public AudioInterface getAudioInterface()

    - #### getVideoInterface

          public VideoInterface getVideoInterface()

    - #### getNativeMediaEngine

          public long getNativeMediaEngine()

    - #### getContext

          public static android.content.Context getContext()

    - #### getVersion

          public static java.lang.String getVersion()

      This function returns the version of the media library
      Returns:
        version

    - #### getLogLevel

          public static LogLevel getLogLevel()

    - #### setLogLevel

          public static void setLogLevel​(LogLevel level)

    - #### getLogProvider

          public static LogProvider getLogProvider()

    - #### setLogProvider

          public static void setLogProvider​(LogProvider provider)

    - #### InitVantageFlags

          public static void InitVantageFlags()

    - #### IsVantagePlatform

          public static boolean IsVantagePlatform()

    - #### IsVantagePlatform2

          public static boolean IsVantagePlatform2()

    - #### IsVantageDisplayLandscape

          public static boolean IsVantageDisplayLandscape()

    - #### IsVantagePlatform3

          public static boolean IsVantagePlatform3()

    - #### IsChromeOSPlatform

          public static boolean IsChromeOSPlatform()

    - #### Supports540pCapture

          public static boolean Supports540pCapture()

    - #### Supports270pCapture

          public static boolean Supports270pCapture()

    - #### getCPUInfo

          public static java.lang.String getCPUInfo​(java.lang.String key)

    - #### getTime

          public long getTime()

    - #### onAlarmFired

          public void onAlarmFired​(long alarmHandle,
                                   long alarmToken)

    - #### cancelAlarm

          public void cancelAlarm​(long alarmHandle)

    - #### setAlarm

          public long setAlarm​(long delayMS,
                               long opaqueKey)

    - #### releaseWakeLock

          public void releaseWakeLock​(long wakeLockHandle)

    - #### getWakeLock

          public long getWakeLock()

    - #### setWakeLockReleaseDelay

          public void setWakeLockReleaseDelay​(int delayMS)

    - #### reportDelays

          public void reportDelays​(long beforeReleaseWakeLock,
                                   long selectDiff,
                                   long afterSelect,
                                   long getWakeLockDiff)

    - #### getAppDirectory

          public java.lang.String getAppDirectory()

    - #### setMinTLSVersion

          public void setMinTLSVersion​(TLSVersion version)

    - #### onLogMessage

          public static void onLogMessage​(byte[] aMessage,
                                          LogLevel eLevel,
                                          byte[] aTag)